\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Surface Mesh

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Namespaces | Classes | Functions
CGAL Namespace Reference

## Namespaces
| internal

## Classes
class | Surface_mesh
| This class is a data structure that can be used as halfedge data structure or polyhedral surface. It is an alternative to the classes `HalfedgeDS` and `Polyhedron_3` defined in the packages PkgHDSSummary and PkgPolyhedronSummary. The main difference is that it is indexed based and not pointer based, and that the mechanism for adding information to vertices, halfedges, edges, and faces is much simpler and done at runtime and not at compile time. When elements are removed, they are only marked as removed, and a garbage collection function must be called to really remove them. More...

## Functions
template<typename K >
bool | read_off (Surface_mesh< K > &mesh, const std::string &filename)
template<typename K >
bool | write_off (const Surface_mesh< K > &mesh, const std::string &filename)
template<typename K >
bool | read_mesh (Surface_mesh< K > &mesh, const std::string &filename)
template<typename K >
bool | write_mesh (const Surface_mesh< K > &mesh, const std::string &filename)